[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# GetShortHint

Returns the short version of a Hint string.

## Declaration

Source position: forms.pp line 1980

`function GetShortHint(`
`const Hint: string`
`):string;`

## Arguments

`Hint` |  | The string containing both short and long Hint text in the format: 'Short Hint|This is the Long Hint for a control.'

## Function result

The short version of the Hint text (when available).

## Description

A short Hint is separated from the long Hint by a '|' character. If the character is not found, the whole Hint string is returned.

## See also

GetLongHint |  | Returns the long version of a Hint string.
TControl.Hint
TControl.DialogChar